Gentoo Archives: gentoo-commits

From: "Michał Górny" <mgorny@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/cryptography-vectors/
Date: Mon, 31 Jul 2017 16:47:53
Message-Id: 1501519640.3d2a58ce27f4a32416667254135a1a75b4c49352.mgorny@gentoo
commit:     3d2a58ce27f4a32416667254135a1a75b4c49352
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Jul 31 14:26:13 2017 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Jul 31 16:47:20 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3d2a58ce

dev-python/cryptography-vectors: Bump to 2.0.2

 dev-python/cryptography-vectors/Manifest           |  1 +
 .../cryptography-vectors-2.0.2.ebuild              | 25 ++++++++++++++++++++++
 2 files changed, 26 insertions(+)

diff --git a/dev-python/cryptography-vectors/Manifest b/dev-python/cryptography-vectors/Manifest
index 24590de899e..bd2367fa91f 100644
--- a/dev-python/cryptography-vectors/Manifest
+++ b/dev-python/cryptography-vectors/Manifest
@@ -2,3 +2,4 @@ DIST cryptography_vectors-1.7.1.tar.gz 26652514 SHA256 47e91b70bbf6852cb96a478cb
 DIST cryptography_vectors-1.7.2.tar.gz 26652633 SHA256 4be4eee8a11deee5c2f00e389b49de8ce2642130282d1cd0adffb2f7dbe0acdc SHA512 997aa703649cb4b1dc7df37ed2843a6c06a3871df3d1bcf9ebde6466c32103512225d668e6eee62c89e20b74a5885aa2974d82b2cbf3065a902d059268bf1137 WHIRLPOOL 41f9aad77f27c0a0c6bb14ac2b87606a2a316640369e1abccaab82b827759f9f67519b320fade72ea12c46ea4306e8fce4cd5604c9174d62f475d859199b52ac
 DIST cryptography_vectors-1.8.1.tar.gz 26653746 SHA256 2fd61facea08800ca98ac923f6d02f48a7ae6648025b29cdeb51987c1532add6 SHA512 78cf2a50ebbf0b11c57a53ac683a7ee39f157c7ad04d6374cfe5448bc474964ef61f74d0edd63b5a6b871b4efacc0b3fb9ea8d6025a99567ad2e6a5ec744255d WHIRLPOOL e982e3ed38e2b2c6ba5de4f65d86e13360b6418cdfc2b6191d3b4ef63ed740f3a59de8386f45b21149f11801bccf85e500462c1138af06db2754ef29d11a5c6d
 DIST cryptography_vectors-1.9.tar.gz 26653563 SHA256 bbf767727ad1b9d4cb684fb2b36db4cc78bd420fa6999e7e6ca1aab8c30d78f3 SHA512 3c37dc39496b66539f54bf377b4653b59abaa81fc9fbd68e2d337acbfe9c7fd80801b37ddddc2f7698356b22fb9bcd9f8a41ff95ee405b208c267c0fcba56ead WHIRLPOOL 801a6e58cf48b68422905de1a2ccc4ce5955799df505cfcb2a0870a7826acaa29d5f1de0c0752c8b326ea5d3c0530cee660ba030255da47650862eb3425f64da
+DIST cryptography_vectors-2.0.2.tar.gz 27011827 SHA256 512f1e699dfbb41376e938e6dc6d7f1f40b9578f873438f002e2e5212e13717b SHA512 ab14bdf664e6df08c8436eb24c4465d3080aacd4e6cb47a0113b0877f869cd91d4184ad9122a428b323e91316b686eeb167c4e932773cac1e7b2adbc9309ca36 WHIRLPOOL 9c699e29a636ac56afcd12d938a316d4c89ebf55330fb747d61cf24d77273694e91bc5cc212e80c13497b72d24668ef738ecbb47eaefaf7891c046d20d729064

diff --git a/dev-python/cryptography-vectors/cryptography-vectors-2.0.2.ebuild b/dev-python/cryptography-vectors/cryptography-vectors-2.0.2.ebuild
new file mode 100644
index 00000000000..711276fa774
--- /dev/null
+++ b/dev-python/cryptography-vectors/cryptography-vectors-2.0.2.ebuild
@@ -0,0 +1,25 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} pypy pypy3 )
+
+inherit distutils-r1
+
+MY_PN=${PN/-/_}
+MY_P=${MY_PN}-${PV}
+
+DESCRIPTION="Test vectors for the cryptography package"
+HOMEPAGE="https://pypi.python.org/pypi/cryptography-vectors/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${MY_P}.tar.gz"
+
+LICENSE="|| ( Apache-2.0 BSD )"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~x86-fbsd"
+IUSE=""
+
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+RDEPEND=""
+
+S=${WORKDIR}/${MY_P}